Name: moblin-internet-browser
Summary: The Moblin Web Browsing application, based on Mozilla technology
Group: Applications/Internet
Version: 3.5.3
License: MPL/GPL
URL: http://www.moblin.org/
Release: 13.1.moblin2
Source0: http://releases.mozilla.org/pub/mozilla.org/firefox/releases/3.5.3/source/firefox-3.5.3.source.tar.bz2
Source1: png-files.tar
Source2: moblin-internet-browser.desktop
Source3: moblin-internet-browser.png
Source4: moblin-internet-browser.conf


# Borrowed from Fedora
Source10: firefox-langpacks-3.5.3-20090907.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: zip unzip alsa-lib-devel libcurl-devel python

BuildRequires: pkgconfig(gtk+-2.0) >= 2.10.0 
BuildRequires: pkgconfig(gtk+-unix-print-2.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gdk-x11-2.0)
BuildRequires: pkgconfig(gnome-vfs-2.0) >= 2.0 
BuildRequires: pkgconfig(gnome-vfs-module-2.0) >= 2.0
BuildRequires: pkgconfig(gconf-2.0) >= 1.2.1
BuildRequires: pkgconfig(libgnome-2.0) >= 2.0
BuildRequires: pkgconfig(libgnomeui-2.0) >= 2.2.0
BuildRequires: pkgconfig(dbus-glib-1) >= 0.60
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(xt)

BuildRequires: nspr-devel
BuildRequires: nss-devel
BuildRequires: libjpeg-devel
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: libpng-devel

Patch1: moblin-web-browser.patch

Provides: moblin-web-browser  = %{version}-%{release}

Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives
Obsoletes: moblin-web-browser < 1.9.3_20091015-11.1

%description
The Moblin Web Browsing application, based on Mozilla technology

%package devel
Summary: Development headers for the Moblin Web Browsing application
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}

%description devel
Development headers for the Moblin Web Browsing application


%prep
%setup -q -n mozilla-1.9.1
%patch1 -p1
tar -xf %{SOURCE1}

%build
unset LD_AS_NEEDED
export CFLAGS="-march=core2 -mtune=generic -O2 -g"
export CXXXFLAGS="-march=core2 -mtune=generic -O2 -g"
%configure --disable-jemalloc --enable-system-sqlite \
           --with-system-nss --with-system-jpeg --with-system-zlib \
           --with-system-bz2 --with-system-png
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR="$RPM_BUILD_ROOT" install


install -d %{buildroot}/usr/share/applications
install -d %{buildroot}/usr/share/pixmaps
install -d %{buildroot}/etc/ld.so.conf.d/
install -m 644 %{SOURCE2} %{buildroot}/usr/share/applications/moblin-internet-browser.desktop.ff
install -m 644 %{SOURCE3} %{buildroot}/usr/share/pixmaps
#install -m 644 %{SOURCE4} %{buildroot}/etc/ld.so.conf.d
mv %{buildroot}/usr/bin/moblin-web-browser %{buildroot}/usr/bin/moblin-web-browser.ff

#%find_lang moblin-web-browser

# Install langpacks -- snippet borrowed from Fedora
%{__mkdir_p} $RPM_BUILD_ROOT/usr/lib/moblin-web-browser-%{version}/extensions
%{__tar} xjf %{SOURCE10}
for langpack in `ls firefox-langpacks/*.xpi`; do
  language=`basename $langpack .xpi`
  extensiondir=$RPM_BUILD_ROOT/usr/lib/moblin-web-browser-%{version}/extensions/langpack-$language@firefox.mozilla.org
  %{__mkdir_p} $extensiondir
  unzip $langpack -d $extensiondir
  find $extensiondir -type f | xargs chmod 644

  tmpdir=`mktemp -d %{name}.XXXXXXXX`
  langtmp=$tmpdir/%{name}/langpack-$language
  %{__mkdir_p} $langtmp
  jarfile=$extensiondir/chrome/$language.jar
  unzip $jarfile -d $langtmp

  sed -i -e "s|browser.startup.homepage.*$|browser.startup.homepage=http://www.moblin.org|g;" \
         $langtmp/locale/browser-region/region.properties

  find $langtmp -type f | xargs chmod 644
  %{__rm} -rf $jarfile
  cd $langtmp
  zip -r -D $jarfile locale
  cd -
  %{__rm} -rf $tmpdir

  language=`echo $language | sed -e 's/-/_/g'`
  extensiondir=`echo $extensiondir | sed -e "s,^$RPM_BUILD_ROOT,,"`
  echo "%%lang($language) $extensiondir" >> ../%{name}.lang
done
%{__rm} -rf firefox-langpacks


%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig
update-alternatives --verbose --install %{_bindir}/moblin-web-browser moblin-web-browser %{_bindir}/moblin-web-browser.ff 1000 \
    --slave /usr/share/applications/moblin-web-browser.desktop moblin-web-browser.desktop /usr/share/applications/moblin-internet-browser.desktop.ff

%posttrans
update-alternatives --verbose --install %{_bindir}/moblin-web-browser moblin-web-browser %{_bindir}/moblin-web-browser.ff 1000 \
    --slave /usr/share/applications/moblin-web-browser.desktop moblin-web-browser.desktop /usr/share/applications/moblin-internet-browser.desktop.ff


%postun 
/sbin/ldconfig
if [ $1 = 0 ]; then
   %{_sbindir}/update-alternatives --remove moblin-web-browser %{_bindir}/moblin-web-browser.ff
fi

%files 
%defattr(-,root,root,-)
/usr/bin/moblin-web-browser.ff
/usr/share/idl/moblin-web-browser-3.5.3/
/usr/share/applications/moblin-internet-browser.desktop.ff
/usr/lib/moblin-web-browser-3.5.3/
/usr/share/pixmaps/*
#/etc/ld.so.conf.d/moblin-internet-browser.conf

%files devel
%defattr(-,root,root,-)
%dir /usr/include/moblin-web-browser-3.5.3
/usr/include/moblin-web-browser-3.5.3/*
%dir /usr/lib/moblin-web-browser-devel-3.5.3
/usr/lib/moblin-web-browser-devel-3.5.3/*
/usr/lib/pkgconfig/moblin-web-browser-3.5.pc

%changelog
* Tue Oct 27 2009 Rusty Lynch <rusty.lynch@intel.com> - 3.5.3
- Fixed: [Bug 7324] - Browser window can be resized.
- Updating the moblin-new-tab translations
- Bug 7421 add a userInteracted attribute to nsIDownloadManager.idl.
- Fixing install of moblin-new-tab install so that all locales
  are actually installed instead of just English
- Tuned the time interval of PlacesDBFlush to 30s.
* Mon Oct 26 2009 Rusty Lynch <rusty.lynch@intel.com> - 3.5.3
- Fixing new-tab UI to only show history items that have thumbnails
- Updating translations for moblin://start page
- Divert all widow.open to a tab.
- Fixed bug 7001 so that Preferences dialog no longer opnes in a separate zone.
- Fixed the mozilla startup script to pass in the local info.
- Fix for bug #7288 by removing content about private tabs in the moblin://start content
- Make the Javascript watchdog interval 3 seconds with slack
- Change condition on opening moblin start page.
- Bug 7253. Fix the crash on gtk recent manager.
* Fri Oct 23 2009 Rusty Lynch <rusty.lycnh@intel.com> - 3.5.3
- Fixed bug #7252.  Removed "Open new window in a new tab instead" option
  from tab preference
- Added code to replace "Firefox" to "Moblin Internet Browser" in the about: page
- Implemented the new popup menu for page and tools button, designed by the UI
  design team.
- Fix bug 7200, Remove session file if browser quit without save sessions.
- Modified to add onlyu user typed URL to gtk recent manager.
- Fixed  bug #6996. Now addon search works fine from addon manager dialog.
- Fixed the button so that label in button now showing up in error console..
- Updated the toolbar and tab css to matched the UI spec.
- Changed the firefox icon to Moblin web browser icon.
* Thu Oct 22 2009 Rusty Lynch <rusty.lynch@intel.com> - 3.5.3
- Adding new tab UI
- Changed the default menubar menu color to be white so they shows up
  correctly under moblin.
- Re-enabled the history dropdown in url bar.
- Removed the double quotes from name. It's not need.
* Thu Oct 22 2009 Arjan van de Ven <arjan@linux.intel.com> - 3.5.3
- install various langpacks
* Thu Oct 22 2009 Rusty Lynch <rusty.lynch@intel.com> - 3.5.3
- Remove 'Obsoletes' headers for xulrunner-headless
- PATCH from Yong Wu to fixed bug #6974.  He added code to integrate
  browser with myzone panel by adding a XPCOM component to toolkit.
- Fixed bug #7141 - Browser location bar chagnes to dark after starting
  private browsing.
- Re-fixed the fullscreen issue. Looks like mutter gives you the real
  fullscreen height and width.
- Added coded to bring the browser window to foreground. This fixes bug
  [#6980] and #6949.
* Wed Oct 21 2009 Rusty Lynch <rusty.lynch@intel.com> - 3.5.3
- Making the build use system versions of nss, jpeg, zlib, bzip2,
  and png.
- Removing ld.so.conf.d configuration file since this causes
  issues with other system components using nspr.  This change is not
  turning on the --with-system-nspr flag since that is causing breakage
  when built inside OBS
- Changed the advertised name of the browser to 'Moblin Internet Browser'
- Forced the useragent to be firefox. If we don't, it will break some websites.
- Removed the code that try to resize the window to look like fullscreen.
  It no longer necessary because I have modified browser.js to set the
  default screen widht and height to match fullscreen.
- Fixed bug #7120 (browser doesn't startup in fullscreen).
* Tue Oct 20 2009 Rusty Lynch <rusty.lynch@intel.com> - 3.5.3
- Fixed the progress bar's background to match the status bar.
  Also fixed urlbar to have a round border.
- Removed "Customize..." feature from View->Toolbars popup menu.
- Removed "bookmark toolbar" entry from the View->toolbar popup.
- Removed tab sidebar addon.
- Changed the name Shiretoko to "moblin-web-browser".
- Fixed Bug #6956 - Forward/backward button is not very intuitive.
- Fixed bug #6938 and #6939. The main problem was that the label, "Start Private
  Browsing" didn't get updated to "Stop Private Browsing" in the menu popup.
* Tue Oct 20 2009 Rusty Lynch <rusty.lynch@intel.com> - 3.5.3
- Adding a ld.so.conf.d configration file and adding obsoletes for
  the xulrunner-headless packages
* Mon Oct 19 2009 Rusty Lynch <rusty.lynch@intel.com> - 3.5.3
- Updating the moblin-web-browser-patch
  * Enable panel switching UI
  * Fix download manager
  * Improve tab selection from internet panel
  * Adding thumbnail switcher extension
- Updating the theme images
* Sun Oct 18 2009 Anas Nashif <anas.nashif@intel.com> - 3.5.3
- Co-exist with old browser
- Added desktop file and icons
* Fri Oct 16 2009 Rusty Lynch <rusty.lynch@intel.com> - 3.5.3
- Changed build config to use the system sqlite libraries
* Thu Oct 15 2009 Arjan van de Ven <arjan@linux.intel.com> - 3.5.3
- Firefox based Moblin Web Browser -- Initial packaging
